Install an ATM adapter

Microsoft Windows graphic

To install an ATM adapter

  • In most cases, if your ATM network adapter hardware supports Plug and Play, your adapter is automatically detected and installed. For more information, see Installing devices overview.

Notes

  • After your ATM adapter is recognized and installed, ATM services are installed and available. By default, the connection is set up as a LAN emulation client (LEC). To view or configure additional services, right-click your ATM connection in Network Connections, and then click Properties.
  • If your ATM hardware does not support Plug and Play detection, contact your adapter vendor for updated installation software and information about installing your adapter. For more information about installing hardware that does not support Plug and Play, see To install a non-Plug and Play device.


Configure a LAN emulation client

To configure a LAN emulation client

  1. Open Network Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer.
  3. On the File menu, click Properties.
  4. In This connection uses the following items, click ATM LAN Emulation, and then click Properties.
  5. Click Add, Edit, or Remove to add, rename, or delete entries in the list of emulated LANs available for use with this ATM connection.

    The ATM LAN emulation client is configured by default to support a simple connection with another device (typically an ATM switch) that is providing LAN emulation services to your network.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer.
  • XOX

  • By default, the LAN emulation client is preconfigured to use the default emulated LAN (ELAN) group name for simple client configuration:

    <unspecified_ELAN_name>

    If you do not want to configure a specific ELAN name on your network, use the unspecified ELAN name as the default ELAN group name.

    Where this default ELAN name is not currently configured or supported by other ATM hardware products (such as other switches used on your network), you can do one of the following:

    • Add another supported ELAN name to the list maintained here.
    • Configure a default ELAN on your ATM switches that provide LAN emulation service to your network.

Related Topics


Create an encapsulated Ethernet permanent virtual circuit

To create an encapsulated Ethernet permanent virtual circuit

  1. Open Network Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer.
  3. On the File menu, click Properties.
  4. On the General tab, click Install, click Protocol, and then click Add.
  5. Click Microsoft Ethernet PVC - RFC2684, click OK, and then click Close.
  6. In the Network Connections folder, right-click the icon for the connection with the device name Ethernet ATM Miniport, and then click Properties.
  7. On the General tab, click Configure.
  8. On the Advanced tab, click Encapsulation Type.
  9. In Value, click an encapsulation type.
  10. Click VCI Number, and then type a number in Value.
  11. Click VPI Number, type a number in Value, and then click OK twice to apply the configuration you specified.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer.
  • XOX
  • Contact your service provider to determine what encapsulation type to choose and what values to type in for virtual circuit identification (VCI) and virtual path identification (VPI).


Enable a simple TCP/IP-over-ATM connection

To enable a simple TCP/IP-over-ATM connection

  1. Open Network Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer.
  3. Click File, and then click Properties.
  4. In This connection uses the following items, select the Internet Protocol (TCP/IP) check box, and then click OK.

Notes

  • To perform this procedure, you must be a member of the Administrators group or the Network Configuration Operators group on the local computer.
  • XOX
  • You can use the default TCP/IP settings for quick ATM ARP client configuration for a single-switch network by installing the ARP/MARS server on one system. If you use another ARP/MARS server, the client must be configured with the ATM address of that server.
  • In order for the default setup to work, the ATM ARP/MARS service must be running on a server on the network.


Configure an advanced TCP/IP-over-ATM connection

To configure an advanced TCP/IP-over-ATM connection

  1. Open Network Connections.
  2. Click the ATM connection for the ATM network adapter installed on this computer.
  3. On the File menu, click Properties.
  4. In This connection uses the following items, select the Internet Protocol (TCP/IP) check box, and then click Properties.
  5. To connect using a permanent virtual circuit (PVC), in Internet Protocol (TCP/IP) Properties, specify an IP address for use with this ATM connection. By default, the TCP/IP connection uses a DHCP server to obtain an IP address.
  6. Click Advanced, and then click the ATM ARP Client tab.
  7. If you want TCP/IP to be used only over permanent virtual circuits (PVCs) configured using the ATM Call Manager, select PVC only. In order for this option to function, you must configure the PVC with an application type of ATM ARP in the ATM Call Manager.
  8. To connect using a switched virtual circuit (SVC), in ARP server address list and MARS address list, use Add, Edit, and Remove to add, rename, or delete an address entry or entries for any ATM ARP servers or ATM Multicast Address Resolution Service (MARS) servers on your network. If more than one address is listed, use the up and down arrow buttons to reorder the list.
  9. After you finish configuring these properties, click OK.
  10. Configure any other advanced TCP/IP properties that this ATM connection will use, such as multiple IP addresses, DNS servers, or WINS servers, and then click OK.

Notes

  • To perform this procedure, you must be a member of the Administrators group or the Network Configuration Operators group on the local computer.
  • XOX
  • For ATM ARP or MARS server lists, you can either use the default address or add entries for other computers and switches on your network. If needed, the entries added to the list can include ATM addresses for other ATM switches that provide comparable ARP/MARS service.
  • If you add multiple addresses to the ARP or MARS server address lists, the ATM ARP client tries the first address on the list. If the client fails to connect using that address, it then tries each address in the order that it appears on the list.
  • In most cases, default client settings provide rapid configuration, and ATM ARP clients are preconfigured with default ARP/MARS addresses. Advanced client configuration might not be needed.
  • Only one ATM ARP/MARS server may use the default address. If clients have difficulty connecting to the server over ATM, you should view the ATM ARP/MARS server Error Log for details.
  • By default, the maximum transmission unit is set to 9180. The maximum transmission unit must be the same for all clients using the same server.


Install and configure the ATM ARP/MARS service

To install and configure the ATM ARP/MARS service

  1. Open Network Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer.
  3. On the File menu, click Properties, and then click Install.
  4. In Select Network Component Type, in the list of network component types, click Protocol, and then click Add.

  5. In Select Network Protocol, in the list of network protocols, click ATM ARP/MARS Service, and then click OK.

    The ATM ARP/MARS service is installed with a default configuration. For more information on modifying these default services, see the notes below or see your ATM networking and product documentation.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer.
  • XOX
  • The ATM ARP/MARS service is not available on XOX.
  • It is recommended that you configure only one ATM ARP/MARS for each virtual local area network (VLAN) on your network. If you have multiple ARP servers on the same network segment, and your ARP client is configured with the addresses for these servers, the ARP caches could become out of synch. This can render parts of the network unreachable.
  • The ATM ARP/MARS service supports IP-to-ATM address resolution for ATM network hosts active on the same logical IP subnet as this computer. The ATM ARP service supports classical IP over ATM connections, as described in RFC 2225. The MARS service supports multicast IP over ATM connections, as described in RFC 2022.

  • By default, this predetermined address is used for simple configuration:

    4700790001020000000000000000A03E00000200

    This number is an NSAP address that Microsoft selected to simplify configuration and enhance interoperability of the ATM ARP/MARS service with other computers running ATM services.

  • The ATM ARP/MARS service includes a preconfigured default list of IP address ranges for which broadcast and multicast forwarding are provided by the service. This default is known as hubbed mode operation.

    If the IP address range list is empty, the ATM ARP/MARS service defaults to nonhubbed mode operation. In this mode, the service will not perform any forwarding for multicast group clients.


Create a permanent virtual circuit using ATM

To create a permanent virtual circuit using ATM

  1. Open Network Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter for which you want to create a permanent virtual circuit (PVC).
  3. On the File menu, click Properties.
  4. In This connection uses the following items, click ATM Call Manager, and then click Properties.
  5. In ATM Call Manager properties, click Add.
  6. Review and modify PVC settings as needed:
    • For Name, you can either use the default unspecified PVC name or type a name. Both are used only for your reference.
    • For Virtual path ID, you can either use the default path of 0 or type a number that should be used to identify the virtual path for the connection.
    • For Virtual circuit ID, type a number that identifies the virtual circuit within the specified virtual path for the connection.
    • In Application type, click the type of application for use with this PVC. If you configured your IP/ATM connection for PVCs only, you must select the application type ATM ARP for this PVC.
  7. If needed, click Advanced to configure any settings that specify a quality of service for use with the PVC.

Notes

  • To perform this procedure, you must be a member of the Administrators group on the local computer.
  • XOX
  • PVCs are not required and are not typically recommended for building most types of ATM network connections.


View ATM connection information

To view ATM connection information

  1. Open Command Prompt.
  2. At the command prompt, type atmadm /? to display syntax and parameters for the atmadm command.

Note

  • XOX